# Get Block

Get a block object given a block ID or block height.

**Request:**\
`requestType` is *getBlock*\
`block` is the block ID (optional)\
`height` is the block height (optional if block provided)\
`timestamp` is the timestamp (in seconds since the genesis block) of the block (optional if height provided)\
`includeTransactions` is true to include transaction details (optional)

**Note:** *block* overrides *height* which overrides *timestamp*.

**Response:**

(S) `previousBlockHash` is the 32-byte hash of the previous block\
(N) `payloadLength` is the length (in bytes) of all transactions included in the block\
(S) `totalAmountNQT` is the total amount (in NQT) of the transactions in the block\
(S) `generationSignature` is the 32-byte generation signature of the generating account\
(S) `generator` is the the generating account number\
(S) `generatorPublicKey` is the 32-byte public key of the generating account\
(S) `baseTarget` is the base target for the next block generation\
(S) `payloadHash` is the 32-byte hash of the payload (all transactions)\
(S) `generatorRS` is the Reed-Solomon address of the generating account\
(S) `blocReward` is the total block reward\
(S) `nextBlock` is the next block ID\
(N) `requestProcessingTime` is the API request processing time (in millisec)\
(S) `scoopNum` is the scoop number\
(N) `numberOfTransactions` is the number of transactions in the block\
(S) `blockSignature` is the 64-byte block signature\
(A) `transactions` is the array of transaction IDs or transaction objects (if includeTransactions provided, refer to Get Transaction for details)\
(N) `nonces` is the actual nonce number\
(S) `version` is the block version\
(S) `totalFeeNQT` is the total fee (in NQT) of the transactions in the block\
(S) `previousBlock` is the previous block ID\
(S) `block` is the block ID\
(N) `height` is the zero-based block height\
(N) `timestamp` is the timestamp (in seconds since the genesis block) of the block


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.fwallet.net/block/get-block.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
